uniform sampler2DRect tex;
 
// B = Co
// G = Cg
// R = A
// A = Y

vec4 ACgCoY_OFFSET = vec4(0.0,  0.5,  0.5,  0.0);
mat4 RGBA_TO_ACgCoY = mat4(
	0.0, -0.25,  0.50,  0.25,
	0.0,  0.50,  0.00,  0.50,
	0.0, -0.25, -0.50,  0.25,
	1.0,  0.00,  0.00,  0.00
);


void main()
{
    vec4 rgba = texture2DRect(tex, gl_TexCoord[0].st);
    gl_FragColor = (RGBA_TO_ACgCoY * rgba) + ACgCoY_OFFSET;
}




